package com.flyer.foster.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * AreaSearchDTO
 *
 * @author kelei
 * @since 2024/5/9/10:54
 */
@Data
public class GardenUpdateDTO {
    @NotNull(message = "id不能为空")
    private Integer id;

    /**
     * 果园名称
     */
    private String name;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 飞鸟看园
     */
    private Integer birdseyeGardenId;

    /**
     * 底图
     */
    private String baseMapUrl;

    /**
     * 二维码
     */
    private String qrCode;


    private String coverUrl1;

    private String coverUrl1Content;

    private String coverUrl2;

    private String coverUrl2Content;

    private String coverUrl3;

    private String coverUrl3Content;

    private String coverUrl4;

    private String coverUrl4Content;
}
