package com.flyer.foster.mapper;

import com.flyer.foster.entity.Whisper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 悄悄话 Mapper 接口
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
public interface IWhisperMapper extends BaseMapper<Whisper> {

    /**
     * 物理删除
     * @param idList
     * @return
     */
    boolean deleteByIdList(@Param("idList") List<Integer> idList);
}
