package com.flyer.foster.controller.app;

import com.flyer.foster.dto.app.AppUserQueryDTO;
import com.flyer.foster.service.IAppUserService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 小程序用户
 *
 * @author flyer
 * @since 2024-05-09
 */
@RestController
@RequestMapping("/app/user")
public class AppUserController {
    @Autowired
    private IAppUserService iAppUserService;

    @RequestMapping("/login")
    public R login(@RequestBody AppUserQueryDTO dto) {
        return R.ok().result(iAppUserService.login(dto));
    }
}
