package com.flyer.foster.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * AreaSearchDTO
 *
 * @author kelei
 * @since 2024/5/9/10:54
 */
@Data
public class GardenAddDTO {
    private Integer id;

    /**
     * 果园名称
     */
    @NotBlank(message = "果园名称不能为空")
    private String name;

    @NotNull(message = "飞鸟看园果园id不能为空")
    private Integer birdseyeGardenId;

    /**
     * 用户id
     */
    @NotNull(message = "用户不能为空")
    private Integer userId;

    /**
     * 底图
     */
    @NotBlank(message = "果园底图不能为空")
    private String baseMapUrl;

    /**
     * 二维码
     */
    private String qrCode;

    private String coverUrl1;

    private String coverUrl1Content;

    private String coverUrl2;

    private String coverUrl2Content;

    private String coverUrl3;

    private String coverUrl3Content;

    private String coverUrl4;

    private String coverUrl4Content;
}
