package com.flyer.foster.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * PosterLibAddDTO
 *
 * @author kelei
 * @since 2024/5/10/10:41
 */
@Data
public class WhisperUpdateDTO {
    @NotNull(message = "id不能为空")
    private Integer id;

    /**
     * 文案内容
     */
    @NotBlank(message = "内容不能为空")
    private String content;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;
}
