package com.flyer.foster.service;

import com.flyer.foster.dto.RoleMenuAddDTO;
import com.flyer.foster.entity.RoleMenu;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 角色菜单关系表 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-06
 */
public interface IRoleMenuService extends IService<RoleMenu> {
    boolean addRoleMenu(RoleMenuAddDTO addDTO);

    List<Integer> getRoleMenuIdList(Integer roleId);

    /**
     * 物理删除
     * @param roleIdList
     * @return
     */
    boolean deleteByRoleIdList(List<Integer> roleIdList);
}
